Create
POST
/api/v1/ticketsThis endpoint allows you to create a new ticket in the system.
Request
Authorization
Bearer Token
Provide your API token in the Authorization header. See Authentication to issue one.
Example:Authorization: Bearer ********************
Body Paramsapplication/json
titlestringrequiredThe title or subject of the ticket.
descriptionstringoptionalDetailed description of the ticket issue or request.
statusstringoptionalStatus of the ticket (e.g., open, in progress, resolved).
typestringoptionalThe type of the ticket.
prioritystringoptionalPriority level of the ticket (e.g., low, medium, high).
contact_idstringrequiredThe ID of the contact associated with this ticket.
channelstringoptionalThe channel through which the ticket was created.
tagsarray[string]optionalArray of tag IDs to associate with the ticket.
categoriesarray[string]optionalArray of category IDs to associate with the ticket.
customFieldsobjectoptionalCustom fields to associate with the ticket, as key-value pairs.
reasonToAssignstringoptionalReason for assigning the ticket to a specific agent.
Responses
201Created
Created
successbooleanrequireddataobjectrequiredChild attributes
idstringrequiredcreatedAtstringrequiredupdatedAtstringrequireddeletedAtnullrequiredtitlestringrequireddescriptionstringrequiredtypestringrequiredchannelstringrequiredprioritystringrequiredstatusstringrequiredcontactIdstringrequiredcreatorIdstringrequiredassigneeIdstringrequiredreasonToAssignstringrequiredticketNumberintegerrequiredassigneeobjectrequiredChild attributes
idstringrequirednamestringrequiredemailstringrequired
contactobjectrequiredChild attributes
idstringrequirednamestringrequired
tagsarray[object]requiredChild attributes
idstringoptionalnamestringoptional
customFieldsarray[object]requiredChild attributes
idstringoptionaltextValuestringoptionalattributeobjectoptionalChild attributes
idstringrequiredsystemNamestringrequireddisplayNamestringrequiredtypestringrequired